Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007515 [DCSS] Implementables text N/A 2013-08-26 05:12 2014-06-01 06:02
Reporter neil View Status public  
Assigned To KiloByte
Priority normal Resolution done  
Status closed   Product Branch 0.13 ancient branch
Summary 0007515: Want descriptions for monster spells.
Description Now that monster spell names are visible it would be nice if they had descriptions so they could be viewed with ?/s . For the most part, they just need to be added to dat/descript/spells.txt . The search results menu should perhaps sort player spells first, so that things like "?/sBlink" aren't quite so overwhelming (they are already colour-coded). It would also be a nice bonus if the player could navigate to the description for a spell directly from the spell list in the monster description.

The list of monster-only spells is quite long. Cantrip and Melee are excluded from monster descriptions so don't need spell descriptions ("Melee" already has a description, but it's really about the rod of striking). Some of the following (like "draconian breath") might never show up and thus need to be removed from this list.

Spell descriptions don't have to be quite as detailed as for player spells. Finally, remember that, while they're all called "spells" in the code, some of them are spells, some are divine abilities, some are magical abilities, some are natural abilities, and some appear in more than one of these categories on different monsters. The category depends on the monster's flags (priest, fake spells, actual spells) rather than the spell itself.

Acid Splash
Awaken Vines
Blink Allies Encircling
Blink Away
Blink Close
Blink Other
Blink Other Close
Blink Range
Brain Feed
Call Lost Soul
Call Tide
Chaos Breath
Cold Breath
Control Winds
Dimension Anchor
Draconian Breath
Energy Bolt
Ensnare
Fire Summon
Frenzy
Ghostly Fireball
Ghostly Flames
Haste Other
Haste Plants
Heal Other
Hellfire Burst
Holy Breath
Holy Flames
Holy Light
Injury Bond
Ink Cloud
Malign Offering
Malmutate
Mara Summon
Metal Splinters
Miasma Breath
Might
Might Other
Mislead
Noxious Cloud
Petrifying Cloud
Poison Splash
Primal Wave
Quicksilver Bolt
Rakshasa Summon
Sentinel's Mark
Silver Blast
Spawn Tentacles
Steam Ball
Sticky Flame Range
Sticky Flame Splash
Summon Air Elementals
Summon Beast
Summon Drakes
Summon Earth Elementals
Summon Eyeballs
Summon Fire Elementals
Summon Illusion
Summon Iron Elementals
Summon Minor Demon
Summon Mushrooms
Summon Spectral Orcs
Summon Twister
Summon Ufetubus
Summon Undead
Summon Vermin
Summon Water Elementals
Volley of Thorns
Wall of Brambles
Waterstrike
Wind Blast
Word of Recall
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0023875)
KiloByte (manager)
2013-08-26 16:27

A good deal of those are natural abilities rather than spells. Even worse, some can be both on different monsters.
(0023890)
neil (administrator)
2013-08-28 15:57

Updated the list to account for a rename, and to remove the spells for which Kilobyte has already written or linked descriptions.
(0023893)
neil (administrator)
2013-08-28 18:12

I implemented colour-coding (0.13-a0-2875-g962e9e2) and fixed the "following rod:" bug (0.13-a0-2869-gc3007db), so removed them from the implementable description. There are still a few UI tweaks that might be good to make.
(0024010)
KiloByte (manager)
2013-09-13 07:40

Done.

- Issue History
Date Modified Username Field Change
2013-08-26 05:12 neil New Issue
2013-08-26 15:30 neil Description Updated
2013-08-26 16:27 KiloByte Note Added: 0023875
2013-08-27 01:23 neil Description Updated
2013-08-28 15:57 neil Note Added: 0023890
2013-08-28 15:57 neil Description Updated
2013-08-28 18:12 neil Note Added: 0023893
2013-08-28 18:12 neil Description Updated
2013-09-13 07:40 KiloByte Note Added: 0024010
2013-09-13 07:40 KiloByte Status new => resolved
2013-09-13 07:40 KiloByte Fixed in Branch => 0.13 development branch
2013-09-13 07:40 KiloByte Resolution open => done
2013-09-13 07:40 KiloByte Assigned To => KiloByte
2014-06-01 06:02 neil Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker